<nz-spin [nzSpinning]="loading">
  <div class="HexagonalMap" #mapWrapper [style.height]="mapHeight">
    <div class="HexagonalMap-zoomControls">
      <div class="HexagonalMap-zoomControl" (click)="increaseHexagons()">+</div>
      <div class="HexagonalMap-zoomControl" (click)="decreaseHexagons()">-</div>
      <div class="HexagonalMap-zoomControl" (click)="globalHexagons()">
        <i nz-icon nzType="global" nzTheme="outline"></i>
      </div>
    </div>
    <canvas #grid class="HexagonalMap-layer" [style.top.px]="positionLayer.top" [style.left.px]="positionLayer.left"
      [width]="canvasWidth" [height]="canvasHeight">
    </canvas>
    <canvas #selectLayer class="HexagonalMap-layer" [style.top.px]="positionLayer.top"
      [style.left.px]="positionLayer.left" [width]="canvasWidth" [height]="canvasHeight">
    </canvas>
    <canvas #activeLayer class="HexagonalMap-layer" [class.cursorMove]="canMove" [style.top.px]="positionLayer.top"
      [style.left.px]="positionLayer.left" [width]="canvasWidth" [height]="canvasHeight" (mousemove)="moveHex($event)">
    </canvas>
  </div>
</nz-spin>